package org.rcisoft.bus.custinfo.entity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.util.Date;

/**
* Created with cy on 2024年12月13日 上午9:58:24.
*/
@Data
@TableName("cust_info")
public class CustInfo  extends CyIdIncreEntity<CustInfo> {


     /**
     * @desc 客户姓名
     * @column customer_name
     * @default 
     */
     @Excel(name = "客户姓名", orderNum = "0", width = 20)
     private String customerName;

     /**
     * @desc 性别(1男 0女)
     * @column customer_gender
     * @default 
     */
     @Excel(name = "性别(1男 0女)", orderNum = "1", width = 20)
     private String customerGender;

     /**
     * @desc 生日
     * @column customer_birthday
     * @default 
     */
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     @Excel(name = "生日", orderNum = "2", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date customerBirthday;

     /**
     * @desc 电话
     * @column customer_telephone
     * @default 
     */
     @Excel(name = "电话", orderNum = "3", width = 20)
     private String customerTelephone;

     /**
     * @desc 当前余额
     * @column customer_balance
     * @default 
     */
     @Excel(name = "当前余额", orderNum = "4", width = 20)
     private BigDecimal customerBalance;

     /**
     * @desc 门店id
     * @column store_id
     * @default 
     */
     @Excel(name = "门店id", orderNum = "5", width = 20)
     private String storeId;

     /**
     * 生日开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 生日结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

     /**
      * 创建开始时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String startTime;

     /**
      * 创建结束时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String finishTime;

     /**
      * 创建人名称
      */
     @TableField(exist = false)
     private String createName;

}

